package com.msdw.tms.common.utils.poi;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.common.utils.poi
 * @ClassName: EasyExcelUtil
 * @Description: java类作用描述
 * @Author: Maureen.Rong
 * @CreateDate: 2020/10/23 12:40
 * @UpdateDate: 2020/10/23 12:40
 * @Version: 1.0
 */

import com.alibaba.excel.EasyExcel;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public class EasyExcelUtil {
    public static void download(HttpServletResponse response, Class head, List list,String filename) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Content-disposition", "attachment;filename="+filename+".xlsx");
        EasyExcel.write(response.getOutputStream(), head).sheet(filename).doWrite(list);
    }
}

