package com.msdw.tms.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.QhscGangjiaosuoEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述： Mapper 接口
 * @作者: Rong
 * @日期: 2020-10-10
 */
@Mapper
@DS("pydb")
public interface QhscGangjiaosuoDao extends BaseMapper<QhscGangjiaosuoEntity> {
    IPage<QhscGangjiaosuoEntity> queryPageByQh(Page page, @Param("name") String name, @Param("date") String date);


    //查询所有币种
    List<QhscGangjiaosuoEntity> getName();


}