package com.msdw.tms.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.WhscRenminbipinzhongEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @描述：外汇市场人民币品种 Mapper 接口
 * @作者: Rong
 * @日期: 2020-09-28
 */

@Mapper
@DS("pydb")
public interface WhscRenminbipinzhongDao extends BaseMapper<WhscRenminbipinzhongEntity> {

    /*汇率风险识别历史行情数据下载 根据时间区间查询*/
    List<WhscRenminbipinzhongEntity> exportByDate(String startTime,String endTime);

    //查询所有汇率类型
    List<WhscRenminbipinzhongEntity> getExchangeRate();
}