package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @描述：步骤缓存记录表
 * @作者: Rong
 * @日期: 2020-10-21
 */
@Data
@ApiModel(value = "步骤缓存记录表")
@TableName("cd_cache")
public class CdCacheEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "步骤标识(标识为用户做到哪一步骤了)")
    private Integer stepNumber;

    @ApiModelProperty(value = "步骤1 Json字符串")
    private String step1;

    @ApiModelProperty(value = "步骤2 Json字符串")
    private String step2;

    @ApiModelProperty(value = "步骤3 Json字符串")
    private String step3;

    @ApiModelProperty(value = "步骤4 Json字符串")
    private String step4;

    @ApiModelProperty(value = "步骤5 Json字符串")
    private String step5;

    @ApiModelProperty(value = "步骤6 Json字符串")
    private String step6;

    @ApiModelProperty(value = "步骤7 Json字符串")
    private String step7;

    @ApiModelProperty(value = "步骤8 Json字符串")
    private String step8;

    @ApiModelProperty(value = "步骤9 Json字符串")
    private String step9;

    @ApiModelProperty(value = "步骤10 Json字符串")
    private String step10;


}