package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @描述：判分点值子级表
 * @作者: Rong
 * @日期: 2021-01-12
 */
@Data
@ApiModel(value = "判分点值子级表")
@TableName("cd_point_children")
public class CdPointChildren implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer cid;

    @ApiModelProperty(value = "名称")
    private String childrenName;

    @ApiModelProperty(value = "父级id")
    private Integer pointId;


    @ApiModelProperty(value = "类型(1.选择题  2.填空题  3.问答题  4.指标结果 )")
    private String type;


}