package com.msdw.tms.entity.request;

import com.msdw.tms.common.utils.poi.ExcelAttribute;
import lombok.Data;

@Data
public class ProjectRecordImportRequest {

    /**
     * 实验项目名称
     */
    @ExcelAttribute(sort = 0)
    private String projectName;
    /**
     * 状态
     */
    @ExcelAttribute(sort = 1)
    private String userRecordstate;

    private Integer recordstate;
    /**
     * 得分
     */
    @ExcelAttribute(sort = 2)
    private Integer score;
    /**
     * 耗时
     */
    @ExcelAttribute(sort = 3)
    private Integer timeSum;
    /**
     * 起始时间
     */
    @ExcelAttribute(sort = 4)
    private String startTime;
    /**
     * 结束时间
     */
    @ExcelAttribute(sort = 5)
    private String endTime;
}
