package com.msdw.tms.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.mode.req
 * @ClassName: pageConditionReq
 * @Description: java类作用描述
 * @Author: Maureen.Rong
 * @CreateDate: 2020/10/23 13:50
 * @UpdateDate: 2020/10/23 13:50
 * @Version: 1.0
 */
@Data
public class CdPageConditionReq {
    /**
     * @ApiImplicitParams({
     * @ApiImplicitParam(name = "pageNum", value = "pageIndex:当前页数"),
     * @ApiImplicitParam(name = "pageSize", value = "pageSize：当前页需要显示的数量"),
     * @ApiImplicitParam(name = "name", value = "要筛选的币种"),
     * @ApiImplicitParam(name = "date", value = "要筛选的时间")
     * })
     */

    @ApiModelProperty(value = "当前页数")
    public Integer pageNum;

    @ApiModelProperty(value = "当前页需要显示的数量")
    public Integer pageSize;

    @ApiModelProperty(value = "要筛选的币种")
    public String name;

    @ApiModelProperty(value = "要筛选的结束时间")
    public String date;
}
