package com.msdw.tms.model.resp;

import com.msdw.tms.entity.vo.CdFuturesConfigureEntityVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.model.resp
 * @ClassName: CdHedgingResp
 * @Description: 对冲信息返回
 * @Author: Maureen.Rong
 * @CreateDate: 2020/11/3 10:07
 * @UpdateDate: 2020/11/3 10:07
 * @Version: 1.0
 */
@Data
@ApiModel("对冲返回信息")
public class CdHedgingResp {


    @ApiModelProperty(value = "外汇期货平仓绩效", required = false)
    private CdFuturesConfigureEntityVo configure;

    @ApiModelProperty(value = "外汇现货盈亏", required = false)
    private CdBeforeHedgingResp beforeHedging;

    @ApiModelProperty(value = "对冲效率", required = false)
    private CdHedgingEfficiencyResp hedgingEfficiency;


}
