package com.msdw.tms.model.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CdTransferOutResp {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "可用资金")
    private BigDecimal balance;

    @ApiModelProperty(value = "冻结资金")
    private BigDecimal forzenBalance;

    @ApiModelProperty(value = "占用保证金")
    private BigDecimal depositBalance;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "修改时间")
    private String updateTime;

    @ApiModelProperty(value = "初始资金")
    private BigDecimal initialBalance;

    @ApiModelProperty(value = "总资产")
    private transient BigDecimal totalAssets;


}
