package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.CdBankStatementsEntity;
import com.msdw.tms.model.req.CdGetAccountInfoReq;
import com.msdw.tms.model.resp.CdTransferRecordsResp;

import java.math.BigDecimal;
import java.util.List;

/**
 * @描述：账户流水记录 service接口
 * @作者: Rong
 * @日期: 2020-10-15
 */
public interface CdBankStatementsService extends IService<CdBankStatementsEntity> {

    boolean modify(Integer userId, Integer transferOut, BigDecimal amountMoney);


    //转账交易记录
    List<CdTransferRecordsResp> queryPageByRecode(String userId, String startTime, String endTime);


    //查看期权账户时候返回头寸配置信息
    R getAccountInfoReturnOpen(CdGetAccountInfoReq req, Integer userId);

}