package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.CdExperimentalEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @描述：实验数据 service接口
 * @作者: Rong
 * @日期: 2020-10-20
 */

public interface CdExperimentalService extends IService<CdExperimentalEntity> {

    //单条导出实验结果
    R exportProjectRecord(HttpServletResponse response, Integer id) throws Exception;

    //多条导出实验结果
    R exportexportProjectRecordByAll(HttpServletResponse response, Integer userId, Integer type) throws Exception;

    //根据选择的id导出实验结果
    R exportexportProjectRecordById(HttpServletResponse response, Integer userId, List<Integer> ids) throws Exception;


}