package com.msdw.tms.service;

import com.msdw.tms.entity.CdUserAssetsEntity;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @描述：用户银行账户 service接口
 * @作者: Rong
 * @日期: 2020-10-10
 */
public interface CdUserAssetsService extends IService<CdUserAssetsEntity> {

    int addInfo(CdUserAssetsEntity userAssetsEntity);

    //根据用户id查询银行账户信息
    CdUserAssetsEntity userAssetsByUerId(long userId);

    //根据用户id修改
    int modify(long userId);

}