package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.WhscRenminbipinzhongEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @描述：外汇市场人民币品种 service接口
 * @作者: Rong
 * @日期: 2020-09-28
 */
public interface WhscRenminbipinzhongService extends IService<WhscRenminbipinzhongEntity> {


    //导出Excel
    R exportProjectRecord(HttpServletResponse response, String name, String startTime, String endTime) throws Exception;


    //分页查询外汇人民币币种
    PageUtils queryPageByRecode(Integer pageNum, Integer pageSize, String name, String date, Integer userId);

    //根据筛选的名称查询
    R getInfobyId(String name, String startTime, String endTime, String confidenceLevel, String validity, Integer type, String experimentsNumber);


    //查询所有汇率类型
    List<WhscRenminbipinzhongEntity> getExchangeRate();


}