package com.msdw.tms.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.dao.QhscGangjiaosuoDao;
import com.msdw.tms.entity.QhscGangjiaosuoEntity;
import com.msdw.tms.service.QhscGangjiaosuoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @描述： 服务类
 * @作者: Rong
 * @日期: 2020-10-10
 */
@Service("qhscGangjiaosuoService")
@DS("pydb")
public class QhscGangjiaosuoServiceImpl extends ServiceImpl<QhscGangjiaosuoDao, QhscGangjiaosuoEntity> implements QhscGangjiaosuoService {


    @Override
    public PageUtils queryPageByQh(Integer page, Integer size, String name, String date) {
        //分页对象
        Page<QhscGangjiaosuoEntity> page1 = new Page<QhscGangjiaosuoEntity>(page, size);
        IPage<QhscGangjiaosuoEntity> list = this.baseMapper.queryPageByQh(page1, name, date);
        PageUtils pageUtils = new PageUtils(list);
        return pageUtils;
    }

    @Override
    public List<QhscGangjiaosuoEntity> getName() {
        return this.baseMapper.getName();
    }


}



