package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @描述：
 * @作者: Rong
 * @日期: 2020-10-10
 */
@Data
@ApiModel(value = "")
@TableName("qhsc_gangjiaosuo")
public class QhscGangjiaosuoEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    @ApiModelProperty(value = "代码")
    @NotNull
    private String eName;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "最新价")
    private BigDecimal lastPrice;

    @ApiModelProperty(value = "涨跌幅")
    private String u;

    @ApiModelProperty(value = "涨跌额")
    private BigDecimal udPrice;

    @ApiModelProperty(value = "买入价")
    private BigDecimal buyPrice;

    @ApiModelProperty(value = "卖出价")
    private BigDecimal cellPrice;

    @ApiModelProperty(value = "买量")
    private Integer buy;

    @ApiModelProperty(value = "卖量")
    private Integer cell;

    @ApiModelProperty(value = "总量")
    private BigDecimal suoyou;

    @ApiModelProperty(value = "现量")
    private BigDecimal nowHava;

    @ApiModelProperty(value = "持仓量")
    private String hava;

    @ApiModelProperty(value = "日增")
    private Double yFinish;

    @ApiModelProperty(value = "昨结")
    private BigDecimal dayUp;

    @ApiModelProperty(value = "日期")
    private String date;


    /*非数据库字段*/
    @ApiModelProperty(value = "币种")
    private transient String currency;



}