package com.msdw.tms.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.model.req
 * @ClassName: CdExperimentReq
 * @Description: 实验保存
 * @Author: Maureen.Rong
 * @CreateDate: 2020/10/23 15:41
 * @UpdateDate: 2020/10/23 15:41
 * @Version: 1.0
 */
@Data
@ApiModel(value = "实验保存")
public class CdExperimentReq {
    /*
    @ApiImplicitParams({
            @ApiImplicitParam(name = "name", value = "步骤二选择的币种", required = true, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "sampleData", value = "样本数据", required = true, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "confidenceLevel", value = "置信水平", required = true, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "validPeriod", value = "持有天数", required = false, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "varCode", value = "Var值", required = false, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "trendChart", value = "汇率价格走势图", required = false, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "profitLossDistribution", value = "汇率损益分布图", required = false, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "experimentsNumber", value = "实验次数", required = true, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "type", value = "实验类型(0正态Var，1历史模拟，2蒙特卡洛)", required = true, dataType = "String", paramType = "query")
    })
     */

    @ApiModelProperty(value = "步骤二选择的币种")
    private String name;

    @ApiModelProperty(value = "样本数据")
    private String sampleData;

    @ApiModelProperty(value = "置信水平")
    private String confidenceLevel;

    @ApiModelProperty(value = "持有天数")
    private String validPeriod;

    @ApiModelProperty(value = "Var值")
    private String varCode;

    @ApiModelProperty(value = "汇率价格走势图")
    private String trendChart;

    @ApiModelProperty(value = "汇率损益分布图")
    private String profitLossDistribution;

    @ApiModelProperty(value = "实验类型(0正态Var，1历史模拟，2蒙特卡洛)")
    private String type;

    @ApiModelProperty(value = "实验次数")
    private String experimentsNumber;


}
