package com.msdw.tms.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.mode.req
 * @ClassName: ExportReq
 * @Description: 导出
 * @Author: Maureen.Rong
 * @CreateDate: 2020/10/23 13:47
 * @UpdateDate: 2020/10/23 13:47
 * @Version: 1.0
 */
@Data
@ApiModel("汇率中间价/根据时间、币种条件查询后导出报表")
public class CdExportReq {
    /**
     * @ApiParam(value = "要筛选的币种") @RequestParam(value = "name", required = true) String name,
     * @ApiParam(value = "要筛选的开始时间") @RequestParam(value = "startTime", required = true) String startTime,
     * @ApiParam(value = "要筛选的结束时间") @RequestParam(value = "endTime", required = true) String endTime
     */
    @ApiModelProperty(value = "要筛选的币种")
    public String name;
    @ApiModelProperty(value = "要筛选的开始时间")
    public String startTime;
    @ApiModelProperty(value = "要筛选的结束时间")
    public String endTime;
}
