package com.msdw.tms.model.req;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.model.req
 * @ClassName: SaveCacheRwq
 * @Description: 缓存步骤请求参数
 * @Author: Maureen.Rong
 * @CreateDate: 2020/10/23 15:24
 * @UpdateDate: 2020/10/23 15:24
 * @Version: 1.0
 */
@Data
public class CdSaveCacheReq {

    @ApiModelProperty(value = "当前步骤数(传数字)")
    private Integer stepNumber;

    @ApiModelProperty(value = "json字符串")
    private JSONObject json;
}
