package com.msdw.tms.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CdTransferReq {
    /**
     * @ApiImplicitParams({
     * @ApiImplicitParam(name = "transferOut", value = "要转出的账户(1.银行账户 2.期货账户)", required = true, dataType = "string", paramType = "query"),
     * @ApiImplicitParam(name = "amountMoney", value = "转账金额", required = true, dataType = "string", paramType = "query"),
     * })
     */

    @ApiModelProperty("要转出的账户(1.银行账户 2.期货账户)")
    private Integer transferOut;

    @ApiModelProperty("转账金额")
    private BigDecimal amountMoney;
}
