package com.msdw.tms.model.resp;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: tms
 * @Package: com.msdw.tms.model.resp
 * @ClassName: CdGetWeekAndMonthInfoResp
 * @Description: java类作用描述
 * @Author: Maureen.Rong
 * @CreateDate: 2020/11/16 18:32
 * @UpdateDate: 2020/11/16 18:32
 * @Version: 1.0
 */
@Data
@ApiModel(value = "查看外汇每周/每月的信息返回对象")
public class CdGetWeekAndMonthInfoResp {
    @TableField("last_price")
    @ApiModelProperty(value = "最新价")
    private Double lastPrice;


    @TableField("date")
    @ApiModelProperty(value = "时间")
    private String date;
}
