package com.msdw.tms.model.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "查询对象", description = "转账记录查询对象封装")
public class CdTransferRecordsResp {

    //SELECT create_time,type,amount_money,coin_type from cd_bank_statements;

    /**
     * 类型（1银行账户 2期货账户）
     */
    @ApiModelProperty(value = "转出账户")
    private String out;

    @ApiModelProperty(value = "转入账户")
    private String enter;

    @ApiModelProperty(value = "币种")
    private String coinType;


    @ApiModelProperty(value = "金额")
    private BigDecimal amountMoney;


    @ApiModelProperty(value = "转账时间")
    private String createTime;


    @ApiModelProperty(value = "转账类型")
    private String type;

}
