package com.msdw.tms.service;

import com.msdw.tms.common.utils.FilesResult;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public interface AliyunOssService {

    /**
     * 上传文件
     *
     * @param file 上传文件
     */
    FilesResult uploadFiles(MultipartFile file) throws IOException;

    /**
     * 下载文件
     *
     * @param objectName 本地路径
     */
    void downloadFiles(HttpServletResponse response, String objectName) throws IOException;

    /**
     * 根据文件路径+文件名称，删除该文件
     */
    void deleteFile(String filename);
}
